DECLARE @NewSecretTypeId INT
DECLARE @NewSecretTypeName VARCHAR (255)

SET @NewSecretTypeId = 10
SET @NewSecretTypeName = 'Social Security Number'

IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			tbSecretType
		WHERE 
			tbSecretType.SecretTypeName = @NewSecretTypeName
	)
BEGIN
	SET IDENTITY_INSERT [dbo].[tbSecretType] ON
	INSERT INTO [dbo].[tbSecretType] (
		[SecretTypeId]
		,[SecretTypeName]
		,[ConcurrencyID]
		)
	SELECT @NewSecretTypeId, @NewSecretTypeName		, '18828333-F456-45f2-A9F9-648A172B6BFC'
	SET IDENTITY_INSERT [dbo].[tbSecretType] OFF
	
	SET IDENTITY_INSERT [dbo].[tbSecretField] ON
	INSERT INTO [dbo].[tbSecretField] (
		[SecretFieldId]
		,[SecretFieldName]
		,[SecretFieldDisplayName]
		,[SortOrder]
		,[SecretTypeID]
		,[Required]
		,[DataType]
		,[MustEncrypt]
		,[IsPassword]
		,[ConcurrencyID]
		)
	--	                                 SortOrder             Required   Encrypt IsPassword
	SELECT 42,
		'Name', 'Name',						1,	@NewSecretTypeId, 1, 'string' ,0,	0, '11777333-F456-45f2-A9F9-648A172B6111' UNION
	SELECT 43,
		'SSN', 'Social Security Number',	2,	@NewSecretTypeId, 1, 'string' ,1,	0, '98523322-F456-45f2-A9F9-648A172B6111' UNION
	SELECT 44,
		'Notes', 'Notes',					3,	@NewSecretTypeId, 0, 'string' ,1,	0, '24433344-2241-4a82-AC30-2E9636397F92'
	SET IDENTITY_INSERT [dbo].[tbSecretField] OFF
END


