
IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name='tbSecretField'
			AND 
			C.Name='SecretFieldDescription'
	)
	BEGIN
		ALTER TABLE [dbo].[tbSecretField] 
			ADD	[SecretFieldDescription] varchar(255) NULL
	END
GO