IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name='tbAuditUser'
			AND 
			C.Name='Notes'
	)
	BEGIN
		ALTER TABLE [dbo].[tbAuditUser] 
			ADD	[Notes] NVARCHAR(255) NULL
	END
GO