<%@ Page language="c#" Codebehind="Licenses.aspx.cs" AutoEventWireup="false" Inherits="Thycotic.ihawu.Web.Licenses" %>
<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>
<%@ Register TagPrefix="ihawu_web" tagname="NumberOfUsersLicenses" src="~/usercontrols/NumberOfUsersLicenses.ascx" %>
<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="ihawu_web" tagname="LicenseLink" src="~/usercontrols/LicenseLink.ascx" %>
<ihawu:masterpage id="masterPage" runat="server">

<custom:newDialog id="LicencesMainDialog" runat="server" Caption="Licenses">
	<ihawu_web:NumberOfUsersLicenses id="NumberOfUsersLicenses1" runat="server" />
	<br/>	
	<thycotic:datagrid id="LicenseListDataGrid" runat="server" itemsname="Licenses" >
		<columns>
			<asp:templatecolumn sortexpression="LicenseName" headertext="License Name">
				<itemtemplate>
					<thycotic:hyperlink runat="server" id="ItemHyperLink">
						<thycotic:label id="NameLabel" EncodeHtml="false" runat="server" />
					</thycotic:hyperlink>
				</itemtemplate>
			</asp:templatecolumn>		
			<asp:templatecolumn sortexpression="LicenseKey" headertext="License Key">
				<itemtemplate>
					<thycotic:label id="LicenseKeyLabel" runat="server" />
				</itemtemplate>
			</asp:templatecolumn>
			<asp:templatecolumn sortexpression="Description" headertext="Description">
				<itemtemplate>
					<thycotic:label id="DescriptionLabel" runat="server" />
				</itemtemplate>
			</asp:templatecolumn>
		</columns>
	</thycotic:datagrid>

<br/>

<thycotic:placeholder id="ProvisionedPlaceHolder" runat="server">
<p class="Note"><img src="images/alert.gif" align="middle"> You must use Online Edition licenses to support more than one user. <ihawu_web:licenseLink id="LicenseLink2" runat="server" /></p>
</thycotic:placeholder>

<thycotic:placeholder id="SupportLicensesPlaceHolder" runat="server">
<p class="Note"><img src="images/alert.gif" align="middle"> <thycotic:label runat="server" id="SupportLicensesLabel" text="Support licenses allow you to get free upgrades for new releases of Secret Server.  
You must purchase support for as many users as you are licensed." />
<ihawu_web:licenseLink id="LicenseLink1" runat="server" /></p>
</thycotic:placeholder>

<thycotic:button id="AdminButton" runat="server" text="Back"/>
<thycotic:button id="CreateNewLicenseButton" text="Install New License" runat="server" />
</custom:newdialog>
</ihawu:masterpage>