<%@ Page language="c#" Codebehind="SecretItemValueHistory.aspx.cs" AutoEventWireup="false" Inherits="Thycotic.ihawu.Web.SecretItemValueHistory" %>
<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>
<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>

<ihawu:masterpage id="masterPage" runat="server">

<custom:NewDialog id="SecretItemValueHistoryDialog" caption="Secret Item Value History" runat="server">
	<table>
	<tr>
		<td><thycotic:fieldlabel id="SecretNameFieldLabel" runat="server" Text="Secret Name" /></td>
		<td>&nbsp;</td><td><thycotic:label id="SecretNameLabel" runat="server" /></td>
	</tr>
	<tr>
		<td><thycotic:fieldlabel id="SecretFieldNameFieldLabel" runat="server" Text="Secret Field Name" /></td>
		<td>&nbsp;</td><td><thycotic:label id="SecretFieldNameLabel" runat="server" /></td>
	</tr>
	</table>
	<br/>
	<thycotic:datagrid id="SecretItemHistoryDataGrid" runat="server" itemsname="history entries">
		<columns>
			<asp:templatecolumn sortexpression="Date" headertext="Date Recorded">
				<itemtemplate>
					<thycotic:label id="DateLabel" runat="server" />
				</itemtemplate>
			</asp:templatecolumn>
			<asp:templatecolumn sortexpression="NewValue" headertext="New Value">
				<itemtemplate>
					<thycotic:label id="NewValueLabel" runat="server" />
				</itemtemplate>
			</asp:templatecolumn>	
		</columns>
	</thycotic:datagrid>
	<br/>
	<thycotic:button id="BackButton" text="Back" runat="server" />

</custom:newdialog>

</ihawu:masterpage>
