<%@ Control Language="c#" AutoEventWireup="false" Codebehind="GroupPermissionGrid.ascx.cs" Inherits="Thycotic.ihawu.Web.usercontrols.GroupPermissionGrid" TargetSchema="http://schemas.microsoft.com/intellisense/ie5"%>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>


<thycotic:datagrid id="PermissionGrid" runat="server">
	<columns>
		<asp:templatecolumn headertext="Name">
			<itemtemplate>
				<thycotic:label runat="server" id="NameLabel"></thycotic:label>
			</itemtemplate>
		</asp:templatecolumn>
		<asp:templatecolumn headertext="View">
			<itemtemplate>
				<thycotic:checkbox runat="server" id="ViewCheckBox" onclick="checkViewAndEditCheckboxes(this.id)"></thycotic:checkbox>
			</itemtemplate>
		</asp:templatecolumn>
		<asp:templatecolumn headertext="Edit">
			<itemtemplate>
				<thycotic:checkbox runat="server" id="EditCheckBox" onClick="checkViewCheckbox(this.id)"></thycotic:checkbox>
			</itemtemplate>
		</asp:templatecolumn>
		<asp:templatecolumn headertext="Share">
			<itemtemplate>
				<thycotic:checkbox runat="server" id="ShareCheckBox" onclick="checkViewCheckbox(this.id)"></thycotic:checkbox>
			</itemtemplate>
		</asp:templatecolumn>
	</columns>
</thycotic:datagrid>
<asp:panel id="AddNewGroupPanel" runat="server" >
	<hr />
	<thycotic:Label runat="Server" id="AddNewText" Font-Bold="true" Text="Add New" />
	<br />
	<thycotic:Label runat="Server" id="GroupUserLabel" Text="Group/User:" />
	<thycotic:dropdownlist id="NewGroupDropDown" runat="server" autopostback="true" style="width:170px;" />
	&nbsp;
</asp:panel>
<thycotic:businessvalidator id="NewGroupDropDownValidator" runat="server" />
<thycotic:businessvalidator id="NeedOnePersonWithPermission" runat="server" />
<thycotic:businessvalidator id="MustHaveReadToShareOrWrite" runat="server" />
<script language="javascript">
	function checkViewCheckbox(checkboxId)
	{
		var viewCheckBoxId = checkboxId.replace(/Share|Edit/g, "View");
		if (document.getElementById(checkboxId).checked)
		{
			document.getElementById(viewCheckBoxId).checked = true;
		}
	}
	
	function checkViewAndEditCheckboxes(viewCheckboxId)
	{
		var editCheckBoxId = viewCheckboxId.replace(/View/g, "Edit");
		var shareCheckBoxId = viewCheckboxId.replace(/View/g, "Share");
		if (!document.getElementById(viewCheckboxId).checked)
		{
			document.getElementById(editCheckBoxId).checked = false;
			document.getElementById(shareCheckBoxId).checked = false;
		}
	}
</script>
