IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name='tbConfiguration'
			AND 
			C.Name='EnablePasswordChanging'
	)
BEGIN
ALTER TABLE [dbo].tbConfiguration
	ADD [EnablePasswordChanging] BIT NOT NULL DEFAULT (0)
END