<%@ Page language="c#" Codebehind="SecretExpired.aspx.cs" AutoEventWireup="false" Inherits="Thycotic.ihawu.Web.SecretExpired" %>
<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>

<ihawu:masterpage id="masterPage" runat="server">
<custom:NewDialog id="DialogLarge1" runat="server" Caption="Expired Secrets" Watermark="images/expired_secret.gif" >
	<thycotic:datagrid id="ExpiredSecretDataGrid" runat="server" itemsname="expired secrets" >
		<columns>
			<asp:templatecolumn headertext="Secret Name" sortexpression="SecretName">
				<itemtemplate>
					<thycotic:hyperlink runat="server" id="SecretNameHyperlink"/>
				</itemtemplate>
			</asp:templatecolumn>
			<asp:templatecolumn headertext="Secret Type" sortexpression="SecretTypeName">
				<itemtemplate>
					<thycotic:label runat="server" id="SecretTypeLabel"/>
				</itemtemplate>
			</asp:templatecolumn>
			<asp:templatecolumn headertext="Expiration Date" sortexpression="ExpirationDate">
				<itemtemplate>
					<thycotic:label runat="server" id="ExpiredLabel"/>
				</itemtemplate>
			</asp:templatecolumn>
		</columns>
	</thycotic:datagrid>
	<br/><br />
	<thycotic:button id="BackButton" runat="server" Text="Back" />
</custom:NewDialog>

</ihawu:masterpage>
