<%@ Page language="c#" Codebehind="SecretTypes.aspx.cs" AutoEventWireup="false" Inherits="Thycotic.ihawu.Web.SecretTypes" ValidateRequest="False" %>
<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>

<ihawu:masterpage id="masterPage" runat="server">
	
	<custom:NewDialog id="SecretTypeDialog" runat="server" Caption="Manage Secret Types">
	<table>
		<tr>
		<td>
			<thycotic:dropdownlist id="SecretDropDownList" runat="server"></thycotic:dropdownlist>
			<thycotic:CheckBox id="ShowInactiveCheckBox" Checked="false" runat="server" Text="Show Inactive" AutoPostBack="true" />
			<br/>
			<br/>
			<thycotic:button id="BackButton" runat="server" text="Back" />
			<thycotic:button id="EditSecretTypeButton" runat="server" text="Edit" />
			<thycotic:button id="CreateSecretTypeButton" runat="server" text="Create New" />
			<thycotic:button id="ExportButton" runat="server" text="Export" />
		</td>
		</tr>
	</table>
	</custom:NewDialog>
	
	<br />
	
	<custom:NewDialog id="ImportDialog" Caption="Import Secret Types" runat="server">
	<table>
		<tr>
			<td><asp:Literal runat="server" id="InstructionsLiteral" Text="Please paste your XML from the online <a href=&quot;http://www.thycotic.com/SecretTypeGallery.aspx&quot; target=_blank>Secret Type Gallery</a> into the box below to add your 
				new Secret Type." /></td>
		</tr>
		<tr>
			<td>
				<thycotic:textbox id="ImportSecretTypeTextBox" runat="server" textmode="multiline" rows="10" columns="40"/>
				<thycotic:businessvalidator id="ImportSecretTypeTextBoxValidator" runat="server" controltovalidate="ImportSecretTypeTextBox" errormessage="Please enter xml inside the textbox provided"/>
			</td>
		</tr>
		<tr>
			<td><br/><thycotic:button id="ImportButton" runat="server" text="Import" /></td>
		</tr>
	</table>
	</custom:NewDialog>
</ihawu:masterpage>
